petsc-3.6.2 2015-10-02
Report Typos and Errors

# MatColoringApply

Apply the coloring to the matrix, producing index sets corresponding to a number of independent sets in the induced graph.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatColoringApply(MatColoring mc,ISColoring *coloring)

Collective on MatColoring

### Input Parameters

mc -the MatColoring context

### Output Parameter

coloring -the ISColoring instance containing the coloring

### Keywords

Coloring, Apply

### See Also

MatColoring, MatColoringCreate()

Level:beginner
Location:src/mat/color/interface/matcoloring.c
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/mat/examples/tutorials/ex16.c.html